<?php
namespace Claromentis\Core\Component\ValueType;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_5e30c4717ced36cff9e93e" . "19a5c576cc" => base64_decode("aXNfc3Ry" . "aW5n"), "_b471c29e7ef68da56fdc4511c7d" . "e5cf4" => base64_decode("L1xkezh9" . "Lw=="), "_d155d43" . "a39de93f" . "858123c6" . "b6ce31d8" . "a" => base64_decode("cHJlZ19tY" . "XRjaA=="));




class TypeDate implements ValueType
{
    public function Serialize($value)
    {
        if ($value === null) {
            return null;
        }
        
        
        return $value->getDate(DATE_FORMAT_DATE_DAY);
    }
    public function Unserialize($_d957779c7daa148ba3e831d162d15722)
    {
        if (empty($_d957779c7daa148ba3e831d162d15722)) {
            return null;
        }
        return new \DateDay($_d957779c7daa148ba3e831d162d15722);
    }
    public function Normalize($value)
    {
        if ($value === null) {
            return null;
        }
        if ($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_5e30c4717ced36cf" . "f9e93e19a5c576cc"]($value)) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_d155d43a39de93f8" . "58123c6b6ce31d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_b471c29e7" . "ef68da56fd" . "c4511c7de5" . "cf4"], $value)) {
                $_67a0d624aebcceb0abd5ce56a53ff06f = new \DateDay($value);
            } else {
                $_67a0d624aebcceb0abd5ce56a53ff06f = \DateDay::CreateFrom($value);
            }
            $value = $_67a0d624aebcceb0abd5ce56a53ff06f;
        }
        return $value;
    }
    public function Modify($_fd536f3a4b49ad5514a4e7a5db1c6248, $_33e21c745c95d91261fc8f7b4b930af0)
    {
        return $this->Normalize($_33e21c745c95d91261fc8f7b4b930af0);
    }
}